## thunar-io-scan-directory thunar-io-scan-directory |

## Functions

GList * | thunar_io_scan_directory ()

## Description

## Functions

### thunar_io_scan_directory ()

    GList *
    thunar_io_scan_directory (ThunarJob *job,
                              GFile *file,
                              GFileQueryInfoFlags flags,
                              gboolean recursively,
                              gboolean unlinking,
                              gboolean return_thunar_files,
                              guint *n_files_max,
                              GError **error);

Scans the passed folder for files and returns them as a GList

#### Parameters

job | a ThunarJob instance |
file | The folder to scan |
flags | `GFileQueryInfoFlags` to consider during scan |
recursively | Wheather as well subfolders should be scanned |
unlinking | ??? |
return_thunar_files | TRUE in order to return the result as a list of ThunarFile's, FALSE to return a list of GFile's |
n_files_max | Maximum number of files to scan, NULL for unlimited |
error | Will be se on any error |

#### Returns

the GLIst of GFiles or ThunarFiles, to be released with e.g. 'g_list_free_full'.

[transfer full]